package org.ajax4jsf.bean;

import javax.faces.event.ActionEvent;

public class A4JHTMLCommandLinkTestBean {

    private boolean rendered = false;
    private boolean isListenerInvoked = false;
    private boolean isActionInvoked = false;

    private String value;

    public boolean isRendered() {
        return rendered;
    }

    public void setRendered(boolean rendered) {
        this.rendered = rendered;
    }

    public String action() {
        setActionInvoked(true);
        return null;
    }

    public void actionListener (ActionEvent event) {
        setListenerInvoked(true);
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public boolean isListenerInvoked() {
        return isListenerInvoked;
    }

    public void setListenerInvoked(boolean isListenerInvoked) {
        this.isListenerInvoked = isListenerInvoked;
    }

    public boolean isActionInvoked() {
        return isActionInvoked;
    }

    public void setActionInvoked(boolean isActionInvoked) {
        this.isActionInvoked = isActionInvoked;
    }

}
